### File

`src/ui-shell/header/header-navigation-items.interface.ts`

### Index

###### Properties
Optional content Optional href Optional route Optional routeExtras

### Properties

content
`content: `string``
Type : `string`
Optional

href
`href: `string``
Type : `string`
Optional

route
`route: `any[]``
Type : `any[]`
Optional

routeExtras
`routeExtras: `any[]``
Type : `any[]`
Optional

    export interface NavigationItem {
        type: "menu | item",
        title?: string,
        href?: string,
        trigger?: "click" | "mouseover",
        route?: any[],
        routeExtras?: any[],
        content?: string
        menuItems?: HeaderItemInterface[]
    }

    export interface HeaderItemInterface {
        href?: string,
        route?: any[],
        routeExtras?: any[],
        content?: string
    }

# result-matching ""

# No results matching ""